Skip to main content
`Ctrl`+`K`

# MatScatterSetVecScatter

sets the scatter that the matrix is to apply as its linear operator in a `MATSCATTER`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScatterSetVecScatter(Mat mat, VecScatter scatter)

Logically Collective

## Input Parameters

- mat - the `MATSCATTER` matrix

- scatter - the scatter context create with `VecScatterCreate()`

## See Also

Matrices, `Mat`, `MATSCATTER`, `MatCreateScatter()`

## Level

advanced

## Location

src/mat/impls/scatter/mscatter.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages